
function mudfish_adclean_c75e67d7a98ad21b3cdcf8a5a9df17e6() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`div[id*="ads"]`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_c75e67d7a98ad21b3cdcf8a5a9df17e6();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_c75e67d7a98ad21b3cdcf8a5a9df17e6();
  });
}
